Package org.eclipse.emf.cdo.view

# Interface CDOStaleReferencePolicy

All Known Implementing Classes:
  `CDOStaleReferencePolicy.DynamicProxy`, `CDOStaleReferencePolicy.DynamicProxy.Enhanced`

public interface CDOStaleReferencePolicy
Specifies a policy on how to deal with stale references.

Since:
  3.0
Author:
  Simon McDuff

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CDOStaleReferencePolicy.DynamicProxy`
A `stale reference policy` that provides `Java dynamic proxies` when stale references are aceessed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOStaleReferencePolicy`
`DEFAULT`
`static final CDOStaleReferencePolicy`
`EXCEPTION`
A stale reference policy that throws an `ObjectNotFoundException` each time.
`static final CDOStaleReferencePolicy`
`PROXY`
A stale reference policy that returns dynamic Java proxies with the appropriate EClasses.

## Method Summary

Modifier and Type
Method
Description
`Object`
`processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)`
Returns an object that we want to return to the caller (clients).

## Field Details

### EXCEPTION

static final CDOStaleReferencePolicy EXCEPTION
A stale reference policy that throws an `ObjectNotFoundException` each time.

### PROXY

static final CDOStaleReferencePolicy PROXY
A stale reference policy that returns dynamic Java proxies with the appropriate EClasses.

### DEFAULT

static final CDOStaleReferencePolicy DEFAULT

Since:
  4.2

## Method Details

### processStaleReference

Object processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)
Returns an object that we want to return to the caller (clients). Exception thrown will be received by the caller (clients).